Monitoring - Public endpoints to integrate Organization with One Platform
Monitoring - One Platform Organizations Integration API (v1)
Download OpenAPI description
Languages
Servers
https://docs.namirial.app
- https://docs.namirial.app/v1/organizations/{id}/contract-item-rules
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.namirial.app/v1/organizations/{id}/contract-item-rules?contractType=string&skuId=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'- https://docs.namirial.app/v1/organizations/{id}/contracts/{contractId}/contract-item-rules
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.namirial.app/v1/organizations/{id}/contracts/{contractId}/contract-item-rules' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Bodyapplication/jsonrequired
Parent contract item identifier. When set, onboarding info may be resolved from parent SKU overrides.
Billing model parameters for this contract item
Example: {"your-parameter":"value of parameter"}
Date and time indicating starting date for this contract item.
Example: "2023-11-28"
Date and time indicating ending date for this contract item.
Example: "2023-11-29"
Documents parameters for this contract item.
- https://docs.namirial.app/v1/organizations/{id}/contracts/{contractId}/contract-items
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.namirial.app/v1/organizations/{id}/contracts/{contractId}/contract-items' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"productId": "string",
"resellContractItemId": "string",
"parentId": "string",
"sku": "string",
"skuId": "string",
"description": "string",
"billingModelId": "string",
"billingModelParameters": {
"your-parameter": "value of parameter"
},
"businessRelationId": "string",
"channel": "string",
"subscriptionId": "string",
"skuParameters": {
"property1": "string",
"property2": "string"
},
"featureIds": [
"string"
],
"dataSources": {
"property1": [
{
"value": "string",
"label": {
"en": "parameter label in english",
"it": "label del parametro in italiano",
"de": "...",
"fr": "...",
"es": "...",
"pt": "...",
"ro": "..."
}
}
],
"property2": [
{
"value": "string",
"label": {
"en": "parameter label in english",
"it": "label del parametro in italiano",
"de": "...",
"fr": "...",
"es": "...",
"pt": "...",
"ro": "..."
}
}
]
},
"signed": true,
"provisioned": true,
"startDate": "2023-11-28",
"endDate": "2023-11-29",
"quantity": 0,
"envelopeParameters": [
{
"documentId": "string",
"version": 0,
"recipient": {
"name": "string",
"surname": "string",
"email": "string",
"phoneNumber": "string",
"language": "string"
},
"requestedLanguage": "string",
"resolvedLanguage": "string",
"parameters": {
"property1": "string",
"property2": "string"
}
}
],
"onboardingExtraParameters": {
"property1": "string",
"property2": "string"
},
"userId": "string"
}'